Bug 1299626 - [Docs] [OpenShift] OSE Integration - tag creation - fails
[Docs] [OpenShift] OSE Integration - tag creation - fails
Status: CLOSED WONTFIX
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.3
Assigned To: Dayle Parker
Red Hat CloudForms Documentation
automate:service:catalog
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 14:33 EST by Jeff Warnica
Modified: 2016-08-04 03:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-04 03:48:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Warnica 2016-01-18 14:33:57 EST
Following the documented steps at https://access.redhat.com/documentation/en/red-hat-cloudforms/4.0/deploying-openshift-enterprise-with-red-hat-cloudforms/chapter-3-creating-virtual-machine-service-items 

fails with automation.log showing:

[----] I, [2016-01-18T14:23:30.313118 #2922:85f994]  INFO -- : Workspace Instantiation is READONLY -- skipping method [/RedHat/Portfolio/OpenShift/Installer/Methods/ose_tags] with inputs [{}]
Comment 2 Andrew Dahms 2016-01-29 00:54:19 EST
Assigning to Dayle for review.

Dayle - this one is for the OpenShift integration doc you have been working on. Would you be able to take a look and see if there are any options in the process that may affect the above?
Comment 3 Dayle Parker 2016-03-15 02:17:19 EDT
Investigating this has led me to uncover more issues with this chapter, which appears to be out of date with the current CFME release. 

Some notes on Chapter 3. Creating Virtual Machine Service Items:

* Step 4. Select a destination platform from the Catalog Item Type list.
   - doesn't mention which catalog item to choose and why (I've found there are different results depending on which Catalog Item Type is chosen). It would probably be good to document these more specifically. For example, if you choose RHEV, you do not get a Request Info tab to continue to step 6.
   - the screenshot is outdated and there are more catalog item types now in the drop-down.
   - bug in the GUI - s/Redhat/Red Hat - likely needs filing
   - playing around with different configurations in step 4 sometimes leads to me getting an error  in step 5 saying "Cannot create request info"

I'll have to keep digging for updated information on this topic -- any links/pointers are welcome.
Comment 5 Jeff Warnica 2016-03-15 11:53:06 EDT
I have no idea what the docs *should* say, that is why I was reading them :P
Comment 7 Federico Simoncelli 2016-07-13 03:41:51 EDT
The referenced documentation is related to OpenShift v2 which is not related to containers. Updating the whiteboard.
Comment 8 Dayle Parker 2016-08-04 03:48:21 EDT
This guide is written for OpenShift Enterprise 2, which will be EOL in December 2016 [1], and should no longer be used for new OpenShift deployments. 

This version of the deployer does not work for OpenShift 3.x; however, a new deployer is in progress for a future version of CloudForms. Once this development is complete, we will provide documentation for this new version.

As a result, the content in this guide is no longer supported and it will be deprecated and removed from the Customer Portal. 


[1] https://access.redhat.com/support/policy/updates/openshift/

Note You need to log in before you can comment on or make changes to this bug.